|  | matcher.h File Reference updated Fri Feb 28 2025 by Robert van Engelen |

- Main Page
- Namespaces
- Classes
- Files

- File List
- File Members

Classes | Namespaces
matcher.h File Reference

RE/flex matcher engine. More...

`#include <reflex/absmatcher.h>`
`#include <reflex/pattern.h>`
`#include <stack>`
Include dependency graph for matcher.h:
This graph shows which files directly or indirectly include this file:

## Classes

class | reflex::Matcher
| RE/flex matcher engine class, implements reflex::PatternMatcher pattern matching interface with scan, find, split functors and iterators. More...
struct | reflex::Matcher::FSM
| FSM data for FSM code. More...

## Namespaces

| reflex

## Detailed Description

RE/flex matcher engine.

Author
  Robert van Engelen - engel.nosp@m.en@g.nosp@m.enivi.nosp@m.a.co.nosp@m.m

Copyright
  (c) 2016-2024, Robert van Engelen, Genivia Inc. All rights reserved.
  (c) BSD-3 License - see LICENSE.txt